[start]
start_tag=amlogic_start


[lcd_Attr]

#version
version=1

#basic
model_name=vbyone_1region
interface=LCD_VBYONE # LCD_TTL, LCD_LVDS, LCD_VBYONE, LCD_MLVDS, LCD_P2P
lcd_bits=10
screen_width=16
screen_height=9

#timming
h_active=3840
v_active=2160
h_period=4400
v_period=2250
hsync_width=33
hsync_bp=477
hsync_pol=0
vsync_width=6
vsync_bp=65
vsync_pol=0

#customer
fr_adjust_type=2 # 0-clock, 1-htotal, 2-vtotal, 3-auto_range, 4-hdmi_mode
ss_level=3 # 0-disable, 2000ppm/step
clk_auto_gen=1
pixel_clk=0 # unit in Hz

#interface

#vbyone_attr
if_attr_0=8 # lane_count
if_attr_1=1 # region_num
if_attr_2=4 # byte_mode
if_attr_3=4 # color_fmt

#phy_attr
if_attr_4=0xf #vswing_level
if_attr_5=0x1 #preemphasis_level

#intr_en
if_attr_6=1 #vx1 intr en
if_attr_7=3 #vsync intr en

#filter
if_attr_8 = 0x0 #filter_time
if_attr_9 = 0x0 #filter_cnt

#power
#power type:(0=cpu_gpio, 1=pmu_gpio, 2=signal, 3=extern, 0xff=ending)
#power index:(point gpios_index, or extern_index, 0xff=invalid)
#power value:(0=output low, 1=output high, 2=input)
#power delay:(unit in ms)

power_on_step = {
    0,0,1,2000, #panel power on
    3,0,0,10,   #extern i2c init
    2,0,0,0,    #signal enable
    0xff,0,0,0, #ending
};

power_off_step = {
    2,0,0,20,  #signal disable
    0,0,0,100, #panel power off
    0xff,0,0,0, #ending
};


[lcd_ext_Attr]

#version
version=1

#ext_config
ext_name=ext_default
ext_index=0
ext_type=LCD_EXTERN_I2C
ext_status=1

#ext_type_config: value0~0
value_0=0x1c    #i2c_addr
value_1=0xff    #i2c_2nd_addr
value_2=0xff    #invalid
value_3=0xff    #cmd_size

#cmd_data
#for fixed cmd_size include all data.
#for dynamic cmd_size: (type, cmd_size, value...);
# type: 0x00=cmd(bit[3:0]=1 for second_addr) with delay(the last value),
#          0xc0=cmd(bit[3:0]=1 for second_addr),
#          0xf0=gpio,
#          0xfd=delay(sum of the values for cmd_size > 1),
#          0xff=ending
# delay: unit in ms
init_on = {
    0xc0,7,0x20,0x01,0x02,0x00,0x40,0xFF,0x00,
    0xc0,7,0x80,0x02,0x00,0x40,0x62,0x51,0x73,
    0xc0,7,0x61,0x06,0x00,0x00,0x00,0x00,0x00,
    0xc0,7,0xC1,0x05,0x0F,0x00,0x08,0x70,0x00,
    0xc0,7,0x13,0x01,0x00,0x00,0x00,0x00,0x00,
    0xc0,7,0x3D,0x02,0x01,0x00,0x00,0x00,0x00, #Color Engine Bypass Enable
    0xc0,7,0xED,0x0D,0x01,0x00,0x00,0x00,0x00, #Mute only when starting
    0xc0,7,0x23,0x02,0x00,0x00,0x00,0x00,0x00,
    0xfd,1,10,
    0xff,0,
};
init_off = {
    0xff,0,
};


[Backlight_Attr]

#version
version=1

#name
bl_name=bl_pwm_combo

#level

#bl_level_default_uboot_kernel
bl_level_uboot=100
bl_level_kernel=100

#bl_level_attr
bl_level_max=255
bl_level_min=10
bl_level_mid=128
bl_level_mid_mapping=128

#bl_ctrl_method: BL_CTRL_PWM, BL_CTRL_PWM_COMBO, BL_CTRL_LOCAL_DIMMING, BL_CTRL_EXTERN
bl_method=BL_CTRL_PWM_COMBO

#bl_power_attr
bl_en_gpio=0
bl_en_gpio_on=1
bl_en_gpio_off=0
bl_on_delay=200
bl_off_delay=100

#pwm on/off delay
pwm_on_delay=10
pwm_off_delay=10

#bl_pwm_port: BL_PWM_A, BL_PWM_B, BL_PWM_C, BL_PWM_D, BL_PWM_E, BL_PWM_F, BL_PWM_VS
pwm_port=BL_PWM_C
pwm2_port=BL_PWM_D

#bl_pwm_attr
pwm_method=BL_PWM_POSITIVE # BL_PWM_NEGATIVE, BL_PWM_POSITIVE
pwm_freq=180 # pwm_vs: 1~4(vfreq multiple), other pwm: real freq(unit: Hz)
pwm_duty_max=100 # unit in %
pwm_duty_min=25 # unit in %

pwm2_method=BL_PWM_POSITIVE
pwm2_freq=18000
pwm2_duty_max=80
pwm2_duty_min=80

#bl_pwm_power
pwm_gpio=1
pwm_gpio_off=0
pwm2_gpio=2
pwm2_gpio_off=0

#bl_pwm_combo_level_mapping
pwm_level_max=255
pwm_level_min=10
pwm2_level_max=0
pwm2_level_min=0


[panel_misc]
panel_misc_version=1
outputmode=2160p60hz
panel_reverse=0


[end]
end_tag=amlogic_end
